Auto Multiple Choice - Bug # 552: AMC-mailing.pl dies for non-ascii user names

Status: Closed Priority: Normal
Author: Hiroto Kagotani Category:

Created: 04/10/2018 Assignee:

Updated: 05/10/2018 Due date:

Description: My student list contains full of non-ascii names.

Since the default file names of annotated answer sheets are like (id)-(name).pdf, AMC-mailing.pl dies with the

message:
<pre>

Wide character in subroutine entry at /usr/local/lib/AMC/perl/AMC-mailing.pl line 239.

</pre>

If the annotated answer sheet file names can contain non-ascii characters, AMC-mailing.pl also can handle
them without problem, can't it?

Thank you.

History

05/01/2018 02:19 pm - Alexis Bienveniie
- Status changed from New to Feedback

- Target version set to 1.4.0

Thanks for the report. This should be fixed with git:8d40408.

05/10/2018 05:40 am - Hiroto Kagotani
Thanks.
The fix worked well.

05/10/2018 07:38 am - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Good. Thanks for testing!
